import * as _ from 'lodash'
import io from './io'
import { complierComponent } from './complierC'
import { complierModule } from './complierM'

const complierService = () => {}

const complierType = {
  component: complierComponent,
  module: complierModule,
  service: complierService,
}

const complier = (c) => {
  const { type, ...data } = c.render()
  return complierType[type](data)
}

export default {
  complier,
  io,
}
