import path from "path";
import fs from "fs";
import prettier from "prettier";

const formatOption = {
  semi: false,
  singleQuote: true,
  trailingComma: "none",
  parser: "typescript"
};

const isThere = (p) => {};

const writeFile = (content, p) => {
  return fs.writeFileSync(content, p);
};

const readFile = (p) => {
  return fs.readFileSync(p, "utf-8");
};

const deleteFile = (p) => {};

const isFile = () => {};

// * 递归创建目录 同步方法
const mkdirsSync = (dirname) => {
  if (fs.existsSync(dirname)) {
    return true;
  }
  if (mkdirsSync(path.dirname(dirname))) {
    fs.mkdirSync(dirname);
    return true;
  }
};

const create = (data, baseDir = "./") => {
  const { code, path: _path, children } = data;
  mkdirsSync(baseDir);
  const result = prettier.format(code, formatOption);
  fs.writeFileSync(path.join(baseDir, _path), result);
  children.forEach((it) => create(it, baseDir));
};

export default { isThere, readFile, create };
