import { elementStruct } from './types'

export default class Service {
  id
  type
  constructor({ id }) {
    if (!id) {
      console.log('Error: Please enter id in Service')
      return
    }
    this.id = id
  }
  render(): elementStruct {
    return {
      type: 'service',
      imports: [
        { target: ['NgModule'], from: '@angular/core', ignore: true },
        { target: ['CommonModule'], from: '@angular/common', ignore: true },
      ],
    }
  }
}
