export const matchCouple = (string): any => {
  let data = string
  return (start: string, end: string) => {
    // before
    if (!start || !end) {
      throw new Error('不具有匹配条件')
    }
    let index = string.indexOf(start)
    let count = 0
    const before = ~index ? string.slice(0, index) : null
    data = string.substring(index)
    index = 0
    let stop = false
    for (let c of data) {
      if (stop) {
        // stop为true说明已经解析到了想要的结果
        continue
      }
      index++
      if (c === start) {
        count++
      }
      if (c === end) {
        count--
      }
      if (!count) {
        stop = true
      }
    }
    const main = data.slice(1, index - 1)
    const after = count ? null : data.slice(index)
    // 如果before或after有一项为null，则匹配失败
    // if (before === null) {
    //   throw new Error(`文本${string}匹配不到以${start}开始的字符串`)
    // }
    // if (after === null) {
    //   throw new Error(`文本${string}匹配不到以${end}结束的字符串`)
    // }
    return [before, main, after]
  }
}
